Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List external links

GET/workspaces/{organizationId}/external-links
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Query parameters
entityTypestring
Allowed:issueprojectcustomerdocument
entityIdstring
Responses
200

External links

linksobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
entityTypestringrequired
entityIdstringrequired
urlstringrequired
labelstring | nullrequired
verificationStatusstringrequired
Allowed:verifiedfailedunreachableunchecked
verifiedAtstring | nullrequired
resolvedUrlstring | nullrequired
resolvedTitlestring | nullrequired
httpStatusnumber | nullrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/external-links' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "links": [
    {
      "id": "string",
      "organizationId": "string",
      "entityType": "string",
      "entityId": "string",
      "url": "string",
      "label": "string",
      "verificationStatus": "verified",
      "verifiedAt": "string",
      "resolvedUrl": "string",
      "resolvedTitle": "string",
      "httpStatus": 0,
      "createdAt": "string"
    }
  ]
}

Was this page helpful?